Interface UpdateServiceRequest
public interface UpdateServiceRequest
Request body for updating an existing voice service. Only the fields provided will be modified;
omitted fields remain unchanged.
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfaceDedicated Builder -
Method Summary
Modifier and TypeMethodDescriptionstatic UpdateServiceRequest.Builderbuilder()Getting builderDefines how calls are handled for this serviceDescription of the serviceClient-generated idempotency key to safely retry requests.Indicates whether this service is set as the default for the project.getName()Voice service name.
-
Method Details
-
getName
String getName()Voice service name. No leading or trailing whitespaces allowed.- Returns:
- name
-
getDescription
String getDescription()Description of the service- Returns:
- description
-
getIsDefault
Boolean getIsDefault()Indicates whether this service is set as the default for the project. The default service is used when no specific service is specified in API requests.Each project can have only one default service: setting a new default removes the default status from the previously designated service. This property cannot be set to
false: in such case, a BadRequest will be returned by the API.- Returns:
- isDefault
-
getCallBehavior
CallBehavior getCallBehavior()Defines how calls are handled for this service- Returns:
- callBehavior
-
getIdempotencyKey
String getIdempotencyKey()Client-generated idempotency key to safely retry requests. The server uses this key to recognize retries of the same request. If a request with the same key is received within 10 minutes, the server returns the cached response from the original request. Using a random UUID (v4) is strongly recommended.Sent as the
Idempotency-Keyheader. If not set, the SDK generates one for the call and sends it again on the retries of that call. Set your own key if you need to retry the call yourself, since the generated one is not returned.- Returns:
- idempotencyKey
-
builder
Getting builder- Returns:
- New Builder instance
-